com.streambase.sb.adapter

## Class OutputAdapter

- java.lang.Object
- - com.streambase.sb.operator.Operator
  - - com.streambase.sb.adapter.OutputAdapter

- All Implemented Interfaces:
    IOutputAdapter, LocatedItem, Serializable

      public abstract class OutputAdapter
      extends Operator
      implements IOutputAdapter

  Convenience abstract base class for output adapters. Adapters are intended to exchange information between StreamBase applications and external data sources and sinks. Output adapters take streams from an application and make them available outside of the application.

  Output adapters should override `Operator.processTuple(int, Tuple)` to receive tuples from the application.

  For in-depth information on implementing a custom adapter, please see "Using the Embedded Adapter API" in the StreamBase documentation.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.streambase.sb.operator.Operator

      `Operator.ArtifactProperties, Operator.ConfigurationAccessor, Operator.IconKind, Operator.LogLevel, Operator.OperatorStates, Operator.OperatorThread, Operator.PropertyTypecheckException, Operator.RuntimeEnvironment, Operator.SharedObject, Operator.SharedObjectManager, Operator.SuspendBehaviorStates`

  - ### Field Summary

    - ### Fields inherited from class com.streambase.sb.operator.Operator

      `DEFAULT_STATE_CHANGE_TIMEOUT, OP_CONFIG_MGR_NO_CONF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputAdapter()`

  - ### Method Summary

    - ### Methods inherited from class com.streambase.sb.operator.Operator

      `allowsConcurrency, evaluate, getArtifactManager, getAsyncInputPorts, getCaptureStrategy, getContainerName, getDataDirectory, getDisplayDescription, getDisplayName, getDynamicVariables, getDynamicVariablesSchema, getFullyQualifiedName, getIconResource, getInputPortCount, getInputSchema, getLocation, getLocation, getLock, getLogger, getManagedState, getName, getNamedSchema, getOperatorConfigurationAccessor, getOutputPortCount, getOutputSchema, getParameters, getPortCounts, getProposedInputSchemas, getProposedOutputSchemas, getResourceContents, getResourceFile, getReuseTuple, getRuntimeEnvironment, getRuntimeInputSchema, getRuntimeOutputSchema, getSchemaForCapture, getSearchKeywords, getShortDisplayName, getStateChangeTimeout, getStorageMethod, getTableAccessor, getTransactionIsolationLevel, getTupleCaptureTransformer, getTypecheckInputSchema, getTypecheckOutputSchema, hasNotYetStarted, init, isConcurrentByDefault, isDroppingTuples, isPassthruOperator, isProcessingTuples, isRunning, isRuntime, isShutdown, isSuspended, postShutdown, processTuple, registerRunnable, registerRunnable, registerRunnable, registerRunnable, remoteNodeActive, remoteNodeUnavailable, requireInputPortCount, resume, resumed, scheduleRunnable, sendErrorOutput, sendErrorOutput, sendErrorOutput, sendOutput, sendOutput, sendOutputAsync, sendOutputAsync, setCaptureStrategy, setDisplayDescription, setDisplayName, setDynamicVariable, setLogLevel, setLogLevel, setManagedState, setOutputSchema, setParameters, setPortHints, setReuseTuple, setShortDisplayName, setSuspendBehavior, shouldRun, shutdown, size, supportsArtifacts, supportsTransactionalMemory, suspend, suspended, typecheck`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputAdapter

          public OutputAdapter()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.